
import 'package:flutter/material.dart';
import 'package:intl/src/intl_helpers.dart';
import 'package:intl/intl.dart' as RealIntl;
import '../generated/intl/messages_all.dart';
import '../generated/l10n.dart';

class MyIntl  {
  static String? message(String messageStr,
      {String desc = '',
        Map<String, Object> examples = const {},
        required String locale,
        required String name,
        required List<Object> args,
        required String meaning,
        bool? skip}) =>
      _message(messageStr, locale, name, args, meaning);

  // copied from the real intl package
  static String? _message(
      String messageStr, String locale, String name, List<Object> args, String meaning) {
    return myMessageLookup.lookupMessage(messageStr, locale, name, args, meaning);
  }

  static MessageLookup myMessageLookup =
  UninitializedLocaleData('initializeMessages(<locale>)', null);

  static Future<S> load(Locale locale) {
    final name = locale.countryCode?.isEmpty ?? true ? locale.languageCode : locale.toString();
    final localeName = RealIntl.Intl.canonicalizedLocale(name);

    return initializeMessages(localeName).then((_) {
      final original = messageLookup;
      messageLookup = myMessageLookup;
      return initializeMessages(localeName).then((_) {
        myMessageLookup = messageLookup;
        messageLookup = original;
        RealIntl.Intl.defaultLocale = localeName;
        S.current = S();
        return S.current;
      });
    });
  }
}