import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';
import 'package:witsystem_device_manage/pages/widget/HomeTemplet.dart';
import 'package:witsystem_device_plugin/device/Unlock.dart';

import '../../assets/icons/WitsIcon.dart';
import '../../colors/ThemeColors.dart';
import '../../generated/l10n.dart';
import '../widget/HomeListData.dart';

///门锁主页
class SlcokHome extends StatefulWidget {
  String deviceId;

  /// const SlcokHome({Key? key}) :super(key: key);
   SlcokHome({Key? key, required this.deviceId}) : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return SlcokHomeState();
  }
}

class SlcokHomeState extends State<SlcokHome> {
  List<HomeListData> list = [
    HomeListData(icon: WitsIcon.yonghu, name: S.current.userManage),
    HomeListData(icon: WitsIcon.jianpan, name: S.current.passwordManage),
    HomeListData(icon: WitsIcon.zhiwen, name: S.current.markManage),
    HomeListData(icon: WitsIcon.menka, name: S.current.cardManage),
    HomeListData(icon: WitsIcon.fenxiang, name: S.current.shareDevice),
    HomeListData(icon: WitsIcon.erweima, name: S.current.shortShare),
    HomeListData(icon: WitsIcon.jilu, name: S.current.LockRecord),
    HomeListData(icon: WitsIcon.gengduo, name: S.current.moreOptions),
  ];

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return HomeTempletWidget(
        list: list,
        itemOnTap: (HomeListData item, int index){
          print("点击的数据$item");
        },
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          mainAxisSize: MainAxisSize.min,
          children: [
            GestureDetector(
              onTap: () async {
                try {
                  EasyLoading.show(
                      status: S.of(context).openLoading,
                      maskType: EasyLoadingMaskType.clear);
                  await Unlock.instance.bleUnlock(widget.deviceId);
                  EasyLoading.showSuccess(
                      S.of(context).openSuccess);
                } on PlatformException catch (e) {
                  print("错误信息$e");
                  EasyLoading.showError(S
                      .of(context)
                      .openFail(e.message.toString()));
                }
              },
              child: Container(
                width: 180,
                height: 180,
                alignment: Alignment.center,
                decoration: BoxDecoration(
                  color: ThemeColors.transparent,
                  borderRadius: const BorderRadius.all(Radius.circular(90)),
                  border: Border.all(width: 4, color: Colors.white),
                ),
                child: Container(
                    width: 140,
                    height: 140,
                    alignment: Alignment.center,
                    decoration: BoxDecoration(
                      color: ThemeColors.themeItem,
                      borderRadius: const BorderRadius.all(Radius.circular(70)),
                      border: Border.all(style: BorderStyle.none),
                    ),
                    child: const Icon(
                      Icons.lock,
                      color: Colors.white,
                      size: 40,
                    )),
              ),
            ),
            Container(
              margin: const EdgeInsets.fromLTRB(0, 20, 0, 10),
              child: Text("点击上方开门", style: TextStyle(color: Colors.white)),
            ),
          ],
        ));
  }
}
