import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../../colors/ThemeColors.dart';
import '../../generated/l10n.dart';
import 'HomeListData.dart';

///首页模板

class HomeTempletWidget extends StatefulWidget {
  List<HomeListData> list;

  Widget child;

  Function(HomeListData item, int index)? itemOnTap;

  HomeTempletWidget(
      {Key? key, required this.list, required this.child, this.itemOnTap})
      : super(key: key);

  @override
  State<StatefulWidget> createState() {
    return HomeTempletState();
  }
}

class HomeTempletState extends State<HomeTempletWidget> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(S.of(context).lockHome),
      ),
      body: Container(
        height: double.infinity,
        width: double.infinity,
        color: ThemeColors.theme,
        child: Column(
          children: [
            Expanded(
              flex: 1,
              child: widget.child,
            ),
            Container(
              margin: const EdgeInsets.fromLTRB(10, 0, 10, 0),
              padding: const EdgeInsets.all(6),
              decoration: const BoxDecoration(
                color: ThemeColors.themeItem,
                borderRadius: BorderRadius.all(Radius.circular(4.0)),
              ),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceAround,
                children: [
                  Text(S.of(context).battery("10%"),
                      style: const TextStyle(color: Colors.white,fontSize: 12)),
                  Text(S.of(context).auth('管理员'),
                      style: const TextStyle(color: Colors.white,fontSize: 12))
                ],
              ),
            ),
            Container(
                height: 180,
                padding: const EdgeInsets.fromLTRB(0, 10, 0, 0),
                margin: const EdgeInsets.all(10),
                decoration: const BoxDecoration(
                  color: ThemeColors.themeItem,
                  borderRadius: BorderRadius.all(Radius.circular(4.0)),
                ),
                child: GridView.builder(
                    gridDelegate:
                        const SliverGridDelegateWithFixedCrossAxisCount(
                            crossAxisCount: 4,
                            crossAxisSpacing: 10,
                            mainAxisSpacing: 10,
                            childAspectRatio: 1.2),
                    itemCount: widget.list.length,
                    itemBuilder: (context, index) {
                      return GestureDetector(
                        onTap: () {
                          if (widget.itemOnTap != null) {
                            widget.itemOnTap!(widget.list[index], index);
                          }
                        },
                        child: Container(
                          decoration: BoxDecoration(
                            color: ThemeColors.themeItem,
                            borderRadius:
                                const BorderRadius.all(Radius.circular(4.0)),
                            //设置四周圆角 角度
                            border: Border.all(
                                width: 1,
                                color: ThemeColors.themeItem), //设置四周边框
                          ),
                          padding: const EdgeInsets.fromLTRB(5, 5, 5, 15),
                          child: Column(
                            mainAxisAlignment: MainAxisAlignment.spaceBetween,
                            children: [
                              Icon(
                                widget.list[index].icon,
                                size: 30,
                                color: Colors.white,
                              ),
                              Text(
                                widget.list[index].name,
                                style: const TextStyle(color: Colors.white,fontSize: 12),
                              )
                            ],
                          ),
                        ),
                      );
                    })),
          ],
        ),
      ),
    );
  }
}
